Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- x
- z
- ~

### - f -

- FallbackErrorHandler() : FallbackErrorHandler
- fatal() : Logger
- File() : File
- FileAppender() : FileAppender
- FileInputStream() : FileInputStream
- FileOutputStream() : FileOutputStream
- FileRenameAction() : FileRenameAction
- FileWatchdog() : FileWatchdog
- fill() : logstream_base
- Filter() : Filter
- FilterBasedTriggeringPolicy() : FilterBasedTriggeringPolicy
- finalize() : AppenderSkeleton
- findAndSubst() : OptionConverter
- findAppenderByName() : DOMConfigurator
- findAppenderByReference() : DOMConfigurator
- findMillisecondStart() : CachedDateFormat
- fireAddAppenderEvent() : Hierarchy , LoggerRepository
- fireConnector() : SocketAppenderSkeleton
- fireRemoveAppenderEvent() : Hierarchy
- FixedWindowRollingPolicy() : FixedWindowRollingPolicy
- flags() : logstream_base
- flip() : ByteBuffer
- flush() : BufferedOutputStream , BufferedWriter , ByteArrayOutputStream , CharsetEncoder , FileOutputStream , ObjectOutputStream , OutputStream , OutputStreamWriter , SocketOutputStream , SystemErrWriter , SystemOutWriter , Writer
- flushBuffer() : ODBCAppender
- forcedLog() : Logger
- forcedLogLS() : Logger
- format() : DateFormat , RelativeTimeDateFormat , SimpleDateFormat , StrftimeDateFormat , StringHelper , HTMLLayout , Layout , CachedDateFormat , ClassNamePatternConverter , DatePatternConverter , FileLocationPatternConverter , FormattingInfo , FullLocationPatternConverter , IntegerPatternConverter , LevelPatternConverter , LineLocationPatternConverter , LineSeparatorPatternConverter , LiteralPatternConverter , LoggerPatternConverter , LoggingEventPatternConverter , MessagePatternConverter , MethodLocationPatternConverter , NDCPatternConverter , PropertiesPatternConverter , RelativeTimePatternConverter , ThreadPatternConverter , ThrowableInformationPatternConverter , PatternLayout , SimpleLayout , TTCCLayout , XMLLayout
- formatDate() : DateLayout
- formatFileName() : RollingPolicyBase
- FormattingInfo() : FormattingInfo
- forName() : Class